Bug 73868 - The makewhatis utility fails to cache runlevel in /var/cache/man/whatis so 'apropos runlevel' fails to find it.
The makewhatis utility fails to cache runlevel in /var/cache/man/whatis so 'a...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 11:55 EDT by Larry Kistler
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 23:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Kistler 2002-09-12 11:55:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Executing 'apropos runlevel' or 'man -k runlevel' fails to find the runlevel
command man page although the page does exist:
chio1:/root> ls -l /usr/share/man/man8/runlevel.8.gz
-rw-r--r--    1 root     root          636 Apr  4  2001
/usr/share/man/man8/runlevel.8.gz

chio1:/root> apropos runlevel
chkconfig            (8)  - updates and queries runlevel information for system
services
ntsysv               (8)  - simple interface for configuring runlevels
tksysv               (8)  - a runlevel service editor
chio1:/root> 

chio1:/root> man -k runlevel
chkconfig            (8)  - updates and queries runlevel information for system
services
ntsysv               (8)  - simple interface for configuring runlevels
tksysv               (8)  - a runlevel service editor
chio1:/root> 

Note that the runlevel command is not added to the whatis database by the
makewhatis utility:
chio1:/root> grep runlevel /var/cache/man/whatis
chkconfig            (8)  - updates and queries runlevel information for system
services
ntsysv               (8)  - simple interface for configuring runlevels
tksysv               (8)  - a runlevel service editor
chio1:/root> ls -l  /var/cache/man/whatis
-rw-r--r--    1 root     root      1133141 Sep 12 05:44 /var/cache/man/whatis
chio1:/root> 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. As root, execute /usr/sbin/makewhatis
2. Execute 'apropos runlevel'
3. Verify create time and size of whatis database with 'ls -l
/var/cache/man/whatis'
4.  Use grep to search the /var/cache/man/whatis database file for runlevel.
	

Actual Results:  The runlevel man page item is missing from
/var/cache/man/whatis.

Expected Results:  The runlevel man page item should be included in the
/var/cache/man/whatis and should be returned by the 'apropos runlevel' command.

Note that runlevel is present and functioning on my system and the man page is
present:
chio1:/root> ls -l /usr/share/man/man8/run*
-rw-r--r--    1 root     root          636 Apr  4  2001
/usr/share/man/man8/runlevel.8.gz chio1:/root> runlevel
N 5
chio1:/root> 


Additional info:
Comment 1 Eido Inoue 2003-01-13 23:59:31 EST
fixed in man-1.5k-2

Note You need to log in before you can comment on or make changes to this bug.